bti: incorrect version fix